psychopy.org | Reference | Downloads | Github

Unable to open standalone windows Psychopy


#1

I am unable to open Psychopy on a windows computer. It has previously worked but no longer opens. Is there a fix for this?

I have tried reinstalling and accessing through cmd prompt but still no luck.


#2

Hi @rtindle,

Do you get an error message? Or does the psychopy splash screen appear and then nothing follows?

In these two cases, you might find solutions on the psychopy troubleshooting page: http://www.psychopy.org/troubleshooting.html


#3

@rtindle, can you tell us which version you are attempting to install?


#4

@LukasPsy @dvbridges No, I don’t get an error message or a splash screen. When I try to open the program nothing happens.

I have tried installing both StandalonePsychoPy3-3.0.0-win32.exe and StandalonePsychoPy3_PY2-3.0.0-win32.exe. Neither will load.

I am able to install and use the Mac version on my Macbook Air (its processing speed is just too slow).


#5

D:\Users\rtindle>“C:\Program Files\PsychoPy3\python.exe” -m psychopy.app.psychopyApp
Traceback (most recent call last):
File “C:\Program Files\PsychoPy3\lib\site-packages\numpy\core_init_.py”, line 16, in
from . import multiarray
ImportError: DLL load failed: The network path was not found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files\PsychoPy3\lib\runpy.py”, line 193, in run_module_as_main
main”, mod_spec)
File “C:\Program Files\PsychoPy3\lib\runpy.py”, line 85, in run_code
exec(code, run_globals)
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\psychopyApp.py”, line 100, in
start_app()
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\psychopyApp.py”, line 22, in start_app
from psychopy.app.psychopyApp import PsychoPyApp
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app_psychopyApp.py”, line 54, in
from psychopy import projects
File "C:\Program Files\PsychoPy3\lib\site-packages\psychopy\projects_init
.py", line 11, in
from . import pavlovia
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\projects\pavlovia.py”, line 17, in
from psychopy.tools.filetools import DictStorage
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\tools\filetools.py”, line 19, in
import numpy as np
File "C:\Program Files\PsychoPy3\lib\site-packages\numpy_init
.py", line 142, in
from . import add_newdocs
File “C:\Program Files\PsychoPy3\lib\site-packages\numpy\add_newdocs.py”, line 13, in
from numpy.lib import add_newdoc
File "C:\Program Files\PsychoPy3\lib\site-packages\numpy\lib_init
.py", line 8, in
from .type_check import *
File “C:\Program Files\PsychoPy3\lib\site-packages\numpy\lib\type_check.py”, line 11, in
import numpy.core.numeric as nx
File "C:\Program Files\PsychoPy3\lib\site-packages\numpy\core_init
.py", line 26, in
raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
If you’re working with a numpy git repo, try git clean -xdf (removes all
files not under version control). Otherwise reinstall numpy.

Original error was: DLL load failed: The network path was not found.


#6

Thanks for letting us know and for the full error message - that’s useful.

Not sure why numpy is failing to load on your machine but not others. Could you tell us about the operating system you’ve got installed? What version whether it’s 64/32bit. Maybe I can make a matching virtual machine to test on.

thanks,
Jon


#7

Hi Jon,
Computer details are below

Dell Laptop Latitude 7490
Windows 10 Enterprise [Version 10.0.14393]
Processor: Intel® Core™ i5-8350u CPU @1.70GHz 1.90GHz
Installed Memory: 8GB (7.88GB usable)
System Type: 64-bit Operating System, x64 based processor

Thanks,
Richard


#8

OK, the problem looks like this one reported on the numpy lists (similar to them I tested on a clean virtualbox installation and no problems there). It sounds like you’ve installed some other software package that has provided old versions of some libraries, and numpy has then crashed because it’s tried to use those old versions

There is a suggested solution:
https://github.com/numpy/numpy/issues/9272#issuecomment-317326337
And there are unofficial numpy builds that implement that solution here (including its own libs with numpy):
https://www.lfd.uci.edu/~gohlke/pythonlibs/#numpy
so I’ll try and package one of those next time instead of standard distribution of numpy.

Will try and include that in a patch release (3.0.1) today


#9

OK I’ve pushed a new release here that has a new numpy in it. Fingers crossed that fixes the issue for you!


#10

Thanks Jon. This update has worked and is running now.

Appreciate your efforts!

Thanks,
Richard